メインコンテンツへスキップ
PATCH
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
rows
/
{rowId}
/
draft
Update a row
curl --request PATCH \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/{rowId}/draft \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "childTableId": 123,
  "displayIndex": 123,
  "values": {},
  "name": "<string>",
  "path": "<string>"
}
'
{
  "childTableId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "path": "<string>",
  "publishedAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "values": {}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

rowId
string
必須
Pattern: \d+
tableIdOrName
string
必須

ボディ

application/json
childTableId
integer<int64>
必須

Specifies the value for the column child table id

displayIndex
integer<int32>
必須

The index position for displaying the row within the table.

values
object
必須

List of key value pairs with the column name and column value

name
string

Specifies the value for hs_name column, which will be used as title in the dynamic pages

path
string

Specifies the value for hs_path column, which will be used as slug in the dynamic pages

レスポンス

successful operation

childTableId
string
必須

Specifies the value for the column child table id

createdAt
string<date-time>
必須

Timestamp at which the row is created

id
string
必須

The id of the table row

name
string
必須

Specifies the value for hs_name column, which will be used as title in the dynamic pages

path
string
必須

Specifies the value for hs_path column, which will be used as slug in the dynamic pages

publishedAt
string<date-time>
必須

The timestamp indicating when the row was last published, in date-time format.

updatedAt
string<date-time>
必須

Timestamp at which the row is updated last time

values
object
必須

List of key value pairs with the column name and column value

最終更新日 2026年6月5日